<div>
  <h2 id="page-heading" data-cy="AffectationHeading">
    <span jhiTranslate="gestionPersonnel3App.affectation.home.title">Affectations</span>

    <div class="d-flex justify-content-end">
      <button class="btn btn-info me-2" (click)="load()" [disabled]="isLoading">
        <fa-icon icon="sync" [spin]="isLoading"></fa-icon>
        <span jhiTranslate="gestionPersonnel3App.affectation.home.refreshListLabel">Actualiser la liste</span>
      </button>

      <button
        id="jh-create-entity"
        data-cy="entityCreateButton"
        class="btn btn-primary jh-create-entity create-affectation"
        [routerLink]="['/affectation/new']"
      >
        <fa-icon icon="plus"></fa-icon>
        <span jhiTranslate="gestionPersonnel3App.affectation.home.createLabel"> Créer un nouveau Affectation </span>
      </button>
    </div>
  </h2>

  <jhi-alert-error></jhi-alert-error>

  <jhi-alert></jhi-alert>

  <div class="alert alert-warning" id="no-result" *ngIf="affectations?.length === 0">
    <span jhiTranslate="gestionPersonnel3App.affectation.home.notFound">Aucun Affectation trouvé</span>
  </div>

  <div class="table-responsive table-entities" id="entities" *ngIf="affectations && affectations.length > 0">
    <table class="table table-striped" aria-describedby="page-heading">
      <thead>
        <tr jhiSort [(predicate)]="predicate" [(ascending)]="ascending" (sortChange)="navigateToWithComponentValues()">
          <th scope="col" jhiSortBy="id">
            <div class="d-flex">
              <span jhiTranslate="global.field.id">ID</span>
              <fa-icon class="p-1" icon="sort"></fa-icon>
            </div>
          </th>
          <th scope="col" jhiSortBy="dateAffectation">
            <div class="d-flex">
              <span jhiTranslate="gestionPersonnel3App.affectation.dateAffectation">Date Affectation</span>
              <fa-icon class="p-1" icon="sort"></fa-icon>
            </div>
          </th>
          <th scope="col" jhiSortBy="region.id">
            <div class="d-flex">
              <span jhiTranslate="gestionPersonnel3App.affectation.region">Region</span>
              <fa-icon class="p-1" icon="sort"></fa-icon>
            </div>
          </th>
          <th scope="col" jhiSortBy="fonction.id">
            <div class="d-flex">
              <span jhiTranslate="gestionPersonnel3App.affectation.fonction">Fonction</span>
              <fa-icon class="p-1" icon="sort"></fa-icon>
            </div>
          </th>
          <th scope="col" jhiSortBy="employe.id">
            <div class="d-flex">
              <span jhiTranslate="gestionPersonnel3App.affectation.employe">Employe</span>
              <fa-icon class="p-1" icon="sort"></fa-icon>
            </div>
          </th>
          <th scope="col" jhiSortBy="structure.id">
            <div class="d-flex">
              <span jhiTranslate="gestionPersonnel3App.affectation.structure">Structure</span>
              <fa-icon class="p-1" icon="sort"></fa-icon>
            </div>
          </th>
          <th scope="col"></th>
        </tr>
      </thead>
      <tbody>
        <tr *ngFor="let affectation of affectations; trackBy: trackId" data-cy="entityTable">
          <td>
            <a [routerLink]="['/affectation', affectation.id, 'view']">{{ affectation.id }}</a>
          </td>
          <td>{{ affectation.dateAffectation | formatMediumDate }}</td>
          <td>
            <div *ngIf="affectation.region">
              <a [routerLink]="['/region', affectation.region.id, 'view']">{{ affectation.region.id }}</a>
            </div>
          </td>
          <td>
            <div *ngIf="affectation.fonction">
              <a [routerLink]="['/fonction', affectation.fonction.id, 'view']">{{ affectation.fonction.id }}</a>
            </div>
          </td>
          <td>
            <div *ngIf="affectation.employe">
              <a [routerLink]="['/employe', affectation.employe.id, 'view']">{{ affectation.employe.id }}</a>
            </div>
          </td>
          <td>
            <div *ngIf="affectation.structure">
              <a [routerLink]="['/structure', affectation.structure.id, 'view']">{{ affectation.structure.id }}</a>
            </div>
          </td>
          <td class="text-end">
            <div class="btn-group">
              <button
                type="submit"
                [routerLink]="['/affectation', affectation.id, 'view']"
                class="btn btn-info btn-sm"
                data-cy="entityDetailsButton"
              >
                <fa-icon icon="eye"></fa-icon>
                <span class="d-none d-md-inline" jhiTranslate="entity.action.view">Voir</span>
              </button>

              <button
                type="submit"
                [routerLink]="['/affectation', affectation.id, 'edit']"
                class="btn btn-primary btn-sm"
                data-cy="entityEditButton"
              >
                <fa-icon icon="pencil-alt"></fa-icon>
                <span class="d-none d-md-inline" jhiTranslate="entity.action.edit">Editer</span>
              </button>

              <button type="submit" (click)="delete(affectation)" class="btn btn-danger btn-sm" data-cy="entityDeleteButton">
                <fa-icon icon="times"></fa-icon>
                <span class="d-none d-md-inline" jhiTranslate="entity.action.delete">Supprimer</span>
              </button>
            </div>
          </td>
        </tr>
      </tbody>
    </table>
  </div>
</div>
